import sys
import logging


def setup_logger(verbosity: str):
    if verbosity == "DEBUG":
        log_format = "[%(levelname)s] - %(name)s:%(lineno)d - %(message)s"
    else:
        log_format = "[%(levelname)s] - %(message)s"

    logging.basicConfig(level=verbosity, format=log_format, stream=sys.stdout)


__all__ = ["setup_logger"]
